summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xcc-run.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/cc-run.sh b/cc-run.sh
index 6d58170..7a59ed6 100755
--- a/cc-run.sh
+++ b/cc-run.sh
@@ -5,7 +5,7 @@ src=""
args=""
exeargs=""
-if ! command -v $compiler >/dev/null 2>&1; then
+if ! command -v "$compiler" >/dev/null 2>&1; then
echo "$(basename "$0"): error: can't find compiler: '$compiler'" >&2
exit 1
fi
@@ -20,7 +20,7 @@ for arg in "$@"; do
fi
done
-case $compiler in
+case "$compiler" in
cc|gcc|gcc-*|clang|clang-*)
args="$args $CPPFLAGS $CFLAGS $LDFLAGS";;
c++|g++|g++-*|clang++|clang++-*)